require_dependency "next_sgad/application_controller"

module NextSgad
  class PositionsController < ::ApplicationController
    before_action :set_position, only: [:show, :edit, :update, :destroy]

    # GET /positions
    def index
      @positions = Position.all
    end

    # GET /positions/1
    def show
    end

    # GET /positions/new
    def new
      @position = Position.new
    end

    # GET /positions/1/edit
    def edit
    end

    # POST /positions
    def create
      @position = Position.new(position_params)

      if @position.save
        redirect_to @position, notice: 'Position was successfully created.'
      else
        render :new
      end
    end

    # PATCH/PUT /positions/1
    def update
      if @position.update(position_params)
        redirect_to @position, notice: 'Position was successfully updated.'
      else
        render :edit
      end
    end

    # DELETE /positions/1
    def destroy
      @position.destroy
      redirect_to positions_url, notice: 'Position was successfully destroyed.'
    end

    def orgchart
      @o = (Department.all + Position.all + Employee.all).group_by{|x| [x.class.name, x.id]}
      @positions = Position.all.group_by{|p| p.position_id}
      @root = Position.find_by(id: params[:root_id]) || Position.where(position_id: nil).first
      if @root.present?
        @return = org_data(@root, @o, @positions)
      else
        @return = {}
      end

      respond_to do |format|
        format.html
        format.json{render json: @return}
      end
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_position
        @position = Position.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def position_params
        params.require(:position).permit(:name, :description, :position_id, :employee_id, :department_id, :number)
      end
  end
end
