module NextSgad
  class Function < NextSgad::ApplicationRecord
    INITIAL_LETTER = "F"
    validates_presence_of :name
    validates_uniqueness_of :name
    before_save :create_number, on: :create
    has_and_belongs_to_many :goals, association_foreign_key: :next_sgad_goal_id, foreign_key: :next_sgad_function_id
    has_and_belongs_to_many :messages, association_foreign_key: :next_sgad_message_id, foreign_key: :next_sgad_function_id
    has_and_belongs_to_many :subsidy_types, association_foreign_key: :subsidy_type_id, foreign_key: :next_sgad_function_id
    has_and_belongs_to_many :tax_types, association_foreign_key: :tax_type_id, foreign_key: :next_sgad_function_id
    has_many :positions

    def name_and_number
      "#{number} - #{name}"
    end

    # creates filter data
    def self.map_for_select
      all.map {|f| [f.name_and_number, f.id]}
    end

    # creates filter data
    def self.map_for_filter
      [[I18n.t(:everything), :all]] + all.map {|f| [f.name_and_number, f.id]}
    end
  end
end
